org.optaplanner.core.config.exhaustivesearch

## Class ExhaustiveSearchPhaseConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<C>
  - - org.optaplanner.core.config.phase.PhaseConfig<ExhaustiveSearchPhaseConfig>
    - - org.optaplanner.core.config.exhaustivesearch.ExhaustiveSearchPhaseConfig

-     public class ExhaustiveSearchPhaseConfig
      extends PhaseConfig<ExhaustiveSearchPhaseConfig>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EntitySelectorConfig` | `entitySelectorConfig`
    `protected EntitySorterManner` | `entitySorterManner`
    `protected ExhaustiveSearchType` | `exhaustiveSearchType`
    `protected MoveSelectorConfig` | `moveSelectorConfig`
    `protected NodeExplorationType` | `nodeExplorationType`
    `protected ValueSorterManner` | `valueSorterManner`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExhaustiveSearchPhaseConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExhaustiveSearchPhase` | `buildPhase(int phaseIndex, HeuristicConfigPolicy solverConfigPolicy, BestSolutionRecaller bestSolutionRecaller, Termination solverTermination)`
    `protected EntityDescriptor` | `deduceEntityDescriptor(SolutionDescriptor solutionDescriptor)`
    `EntitySelectorConfig` | `getEntitySelectorConfig()`
    `EntitySorterManner` | `getEntitySorterManner()`
    `ExhaustiveSearchType` | `getExhaustiveSearchType()`
    `MoveSelectorConfig` | `getMoveSelectorConfig()`
    `NodeExplorationType` | `getNodeExplorationType()`
    `ValueSorterManner` | `getValueSorterManner()`
    `void` | `inherit(ExhaustiveSearchPhaseConfig inheritedConfig)` Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)`
    `void` | `setEntitySorterManner(EntitySorterManner entitySorterManner)`
    `void` | `setExhaustiveSearchType(ExhaustiveSearchType exhaustiveSearchType)`
    `void` | `setMoveSelectorConfig(MoveSelectorConfig moveSelectorConfig)`
    `void` | `setNodeExplorationType(NodeExplorationType nodeExplorationType)`
    `void` | `setValueSorterManner(ValueSorterManner valueSorterManner)`

    - ### Methods inherited from class org.optaplanner.core.config.phase.PhaseConfig

      `buildPhaseTermination, getTerminationConfig, setTerminationConfig, toString`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `copyConfig, deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### exhaustiveSearchType

          protected ExhaustiveSearchType exhaustiveSearchType

    - #### nodeExplorationType

          protected NodeExplorationType nodeExplorationType

    - #### entitySorterManner

          protected EntitySorterManner entitySorterManner

    - #### valueSorterManner

          protected ValueSorterManner valueSorterManner

    - #### entitySelectorConfig

          protected EntitySelectorConfig entitySelectorConfig

    - #### moveSelectorConfig

          protected MoveSelectorConfig moveSelectorConfig

  - ### Constructor Detail

    - #### ExhaustiveSearchPhaseConfig

          public ExhaustiveSearchPhaseConfig()

  - ### Method Detail

    - #### getExhaustiveSearchType

          public ExhaustiveSearchType getExhaustiveSearchType()

    - #### setExhaustiveSearchType

          public void setExhaustiveSearchType(ExhaustiveSearchType exhaustiveSearchType)

    - #### getNodeExplorationType

          public NodeExplorationType getNodeExplorationType()

    - #### setNodeExplorationType

          public void setNodeExplorationType(NodeExplorationType nodeExplorationType)

    - #### getEntitySorterManner

          public EntitySorterManner getEntitySorterManner()

    - #### setEntitySorterManner

          public void setEntitySorterManner(EntitySorterManner entitySorterManner)

    - #### getValueSorterManner

          public ValueSorterManner getValueSorterManner()

    - #### setValueSorterManner

          public void setValueSorterManner(ValueSorterManner valueSorterManner)

    - #### getEntitySelectorConfig

          public EntitySelectorConfig getEntitySelectorConfig()

    - #### setEntitySelectorConfig

          public void setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)

    - #### getMoveSelectorConfig

          public MoveSelectorConfig getMoveSelectorConfig()

    - #### setMoveSelectorConfig

          public void setMoveSelectorConfig(MoveSelectorConfig moveSelectorConfig)

    - #### buildPhase

          public ExhaustiveSearchPhase buildPhase(int phaseIndex,
                                                  HeuristicConfigPolicy solverConfigPolicy,
                                                  BestSolutionRecaller bestSolutionRecaller,
                                                  Termination solverTermination)

      Specified by:
        `buildPhase` in class `PhaseConfig<ExhaustiveSearchPhaseConfig>`

    - #### deduceEntityDescriptor

          protected EntityDescriptor deduceEntityDescriptor(SolutionDescriptor solutionDescriptor)

    - #### inherit

          public void inherit(ExhaustiveSearchPhaseConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Overrides:
        `inherit` in class `PhaseConfig<ExhaustiveSearchPhaseConfig>`
      Parameters:
        `inheritedConfig` - never null

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.